:root {
  --AR: 16/9;
}
html, body {
	margin: 0;
	padding: 0;
	height: 100%;
	background-color: rgb(230 230 230) !important;
	font-size: 1.0em;
	}
th, td {
  padding-right: 15px;
}
.eightpx {
    font-size: 8px;	
}
.h6 {
    line-height: 1.3;	
}
.container-fluid {
    --bs-gutter-x: 0  !important;;
}	
	
.leaflet-retina .leaflet-control-layers-toggle {
    background-image: url(leaflet_1.9.4/css/images/mapLayers.png);
	background-size: 34px 34px;
}

nav {
	height:60px;
}

#nav {
	height:60px;
	background-color: yellow;
	z-index:10;
	position: relative;
	<!-- position is need to hide shadow -->
}
#wrapper {
	display: flex;
	flex-direction: row;
	z-index:9;
	position: relative;
	height: calc(100% - 60px);
	<!-- position is need to hide shadow -->
}
#map {
	flex: 1	;
	background-color: rgb(200 200 200);
	height: 100%;
	width: 100%;
	z-index:1;
}

.leaflet-popup-content-wrapper{
    padding:0;
    overflow: hidden;
    
}
.leaflet-popup-content {
    margin:0 !important;
    width:240px !important; /* width of popup image */
}
#popText {
    padding: 10px 15px 15px !important;
    font-size: 14px;
}



#demo {
	top: 60;
	width: 600px;
}
#sideWrapper {
	overflow-y: auto;
	overflow-x: hidden;
/*	scrollbar-gutter: stable;*/
	border-left: 1px solid RGB(80,80,80);
	filter: drop-shadow(0 0 5px gray);
	background-color: white;
	z-index:2;
	width: 600px;
}

#textWrapper {
	padding: 20px;
}

#cctvCanvas{
	z-index:30;
	}
#ratioDIV {
	z-index:40;
	width: 100%; 
	aspect-ratio: var(--AR);
	position: absolute;
	top: 0;
	}

#graph, #graph2 {
	display: none;
}

@media only screen and
	(max-width: 5px){
		#textWrapper {
			width: 100%;
		}
		#mapWrapper {
			display: none; 
		}
	}

@media screen and
(max-width: 5px){
	#map {
		display: none;
	}
	#textWrapper {
		flex: 1;
	}
}
				
.offcanvas-header{
    padding: 0 20;
}	
.offcanvas-body{
    padding: 0 20 20 20;
}
				
/* Bootstrap Off Canvas Menu */
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }

      .b-example-divider {
        width: 100%;
        height: 3rem;
        background-color: rgba(0, 0, 0, .1);
        border: solid rgba(0, 0, 0, .15);
        border-width: 1px 0;
        box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
      }

      .b-example-vr {
        flex-shrink: 0;
        width: 1.5rem;
        height: 100vh;
      }

      .bi {
        vertical-align: -.125em;
        fill: currentColor;
      }

      .nav-scroller {
        position: relative;
        z-index: 2;
        height: 2.75rem;
        overflow-y: hidden;
      }

      .nav-scroller .nav {
        display: flex;
        flex-wrap: nowrap;
        padding-bottom: 1rem;
        margin-top: -1px;
        overflow-x: auto;
        text-align: center;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
      }

      .btn-bd-primary {
        --bd-violet-bg: #712cf9;
        --bd-violet-rgb: 112.520718, 44.062154, 249.437846;

        --bs-btn-font-weight: 600;
        --bs-btn-color: var(--bs-white);
        --bs-btn-bg: var(--bd-violet-bg);
        --bs-btn-border-color: var(--bd-violet-bg);
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: #6528e0;
        --bs-btn-hover-border-color: #6528e0;
        --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
        --bs-btn-active-color: var(--bs-btn-hover-color);
        --bs-btn-active-bg: #5a23c8;
        --bs-btn-active-border-color: #5a23c8;
      }

      .bd-mode-toggle {
        z-index: 1500;
      }

      .bd-mode-toggle .dropdown-menu .active .bi {
        display: block !important;
      }